# GUI для FreeRDP

- Основано на базе [FreeRDP 2.9.0](https://github.com/FreeRDP/FreeRDP) ([локальная версия](http://git.belpig.ru/forks/FreeRDP))
- Надстройка для FreeRDP на основе библиотеки [`IUP`](https://www.tecgraf.puc-rio.br/iup/).

![main.png](img/main.png)

![settings.png](img/settings.png)

## Сборка программы

- [xrandr.patch](xrandr.patch) - исправления поиска библиотеки `Xrandr`
- [gui.patch](gui.patch) - включение использования GUI в оригинальный проект `freerdp`

### Подготовка

Скопировать файлы из [freerdp](freerdp/) в оригинальный проект `(2.9.0)`:

```sh
cp -r GUI-FreeRDP/freerdp/* freerdp-2.9.0/
```

Перейти в оригинальный каталог:

```sh
cd freerdp-2.9.0
```

Применить патчи:

```sh
git apply ../GUI-FreeRDP/gui.patch
git apply ../GUI-FreeRDP/xrandr.patch
```

## Сборка

Параметр `WITH_COLOR_BUTTONS` отвечает за окрашивание кнопок.

Создать отдельный каталог `build`:

```sh
mkdir build
cd build
```

и выполнить в нём сборку:

```sh
cmake -B . -S .. \  
    -DWITH_WAYLAND=OFF \
    -DWITH_OSS=OFF \
    -DWITH_ALSA=OFF \
    -DWITH_PULSE=OFF \
    -DWITH_CUPS=OFF \
    -DWITH_PCSC=OFF \
    -DWITH_FFMPEG=OFF \
    -DWITH_OPENSSL=ON \
    -DWITH_XV=OFF \
    -DWITH_FUSE=OFF \
    -DWITH_SWSCALE=OFF \
    -DWITH_CAIRO=OFF \
    -DWITH_DSP_FFMPEG=OFF \
    -DWITH_FAAC=OFF \
    -DWITH_SSE2=ON \
    -DWITH_COLOR_BUTTONS=ON \
    -DBUILD_SHARED_LIBS=OFF
```

и компиляцию программы:

```sh
make -j16
```
